# OqlQueryParameter Class Reference
[Object Query Language based on Criteria]

Inheritance diagram for OqlQueryParameter:
[legend]

List of all members.

## Public Member Functions

| getValue ()
| setValue ($value)
| isBindable ()
| setBindable ($orly=true)
| evaluate ($values)

## Static Public Member Functions

static | create ()

## Private Attributes

| $value = null
| $bindable = false

## Detailed Description

Definition at line 15 of file OqlQueryParameter.class.php.

## Member Function Documentation

static OqlQueryParameter::create | ( |  | ) | `[static]`

Returns:
  OqlQueryParameter

Reimplemented in OqlQueryExpression.

Definition at line 23 of file OqlQueryParameter.class.php.

Referenced by OqlPrefixMinusExpression::__construct(), and OqlParser::makeQueryParameter().

OqlQueryParameter::evaluate | ( | $ | values | ) |

Reimplemented in OqlInExpression, OqlOrderByExpression, OqlPrefixMinusExpression, and OqlQueryExpression.

Definition at line 58 of file OqlQueryParameter.class.php.

References $value, getValue(), isBindable(), Assert::isIndexExists(), and Assert::isPositiveInteger().

Here is the call graph for this function:

OqlQueryParameter::getValue | ( |  | ) |

Definition at line 28 of file OqlQueryParameter.class.php.

Referenced by evaluate().

OqlQueryParameter::isBindable | ( |  | ) |

Definition at line 43 of file OqlQueryParameter.class.php.

Referenced by evaluate().

OqlQueryParameter::setBindable | ( | $ | orly = `true` | ) |

Returns:
  OqlQueryParameter

Definition at line 51 of file OqlQueryParameter.class.php.

OqlQueryParameter::setValue | ( | $ | value | ) |

Returns:
  OqlQueryParameter

Definition at line 36 of file OqlQueryParameter.class.php.

References $value.

Referenced by OqlPrefixMinusExpression::__construct().

## Member Data Documentation

OqlQueryParameter::$bindable = false`[private]`

Definition at line 18 of file OqlQueryParameter.class.php.

OqlQueryParameter::$value = null`[private]`

Definition at line 17 of file OqlQueryParameter.class.php.

Referenced by evaluate(), OqlPrefixMinusExpression::evaluate(), and setValue().

The documentation for this class was generated from the following file:

- main/OQL/Expressions/OqlQueryParameter.class.php